package jp.gr.java_conf.jo.ZipImageViewer.manager.plugin;

import java.io.File;
import java.io.InputStream;
import java.util.List;

import jp.gr.java_conf.jo.ZipImageViewer.manager.plugin.exception.PluginException;
import jp.gr.java_conf.jo.ZipImageViewer.manager.plugin.vo.FileInfoVO;

public interface ArchiverPlugin extends PluginInterface {

	/**
	 * A[JCûׂẴt@C̈ꗗԂB
	 * 
	 * @param file A[JCut@C
	 * @return List<FileInfoVO> t@C̈ꗗ
	 * @throws PluginException
	 */
	public List<FileInfoVO> getArchiveInfo(File file) throws PluginException;

	/**
	 * archiveFile  filename ɑ΂ InputStream Ԃ
	 * 
	 * @param archiveFile
	 * @param filename
	 * @return InputStream
	 * @throws PluginException
	 */
	public InputStream getFile(File archiveFile, String filename) throws PluginException;
}
