package jp.gr.java_conf.jo.ZipImageViewer.manager.plugin;

import java.awt.Rectangle;
import java.awt.image.BufferedImage;
import java.io.InputStream;

import jp.gr.java_conf.jo.ZipImageViewer.manager.plugin.exception.PluginException;
import jp.gr.java_conf.jo.ZipImageViewer.manager.plugin.vo.PictureInfoVO;
/**
 * ZipImageViewer ̉摜vOC̃C^tF[XB
 * @author jun
 */
public interface ImagePlugin extends PluginInterface {

	/**
	 * tTCỶ摜ԂB
	 * @param is
	 * @param vo
	 * @return BufferedImage
	 * @throws PluginException
	 */
	public BufferedImage getPicture(InputStream is, PictureInfoVO vo) throws PluginException;

	/**
	 * g~Ogk摜ԂB
	 * @param is
	 * @param region g~O͈̔
	 * @param scalingFactor 1/scalingFactor{摜ɕϊ
	 * @param vo
	 * @return BufferedImage
	 * @throws PluginException
	 */
	public BufferedImage getPreview(InputStream is, Rectangle region, int scalingFactor, PictureInfoVO vo) throws PluginException;
}
